Bug 142401 - Grub doesn't read config file after FC2->Fc3 upgrade
Grub doesn't read config file after FC2->Fc3 upgrade
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2004-12-09 10:36 EST by Tethys
Modified: 2008-02-03 05:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-03 05:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tethys 2004-12-09 10:36:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
After I upgraded from FC2 to FC3, grub stopped working. Instead of
presenting me with a menu of options from which to choose, it just
dumps me in the grub shell.

It's obviously getting at least as far as stage 1.5, as it understands
the filesystem. From the grub shell, I can just do:

  configfile /grub/grub.conf

and I get the menu I expect, and can boot as normal. I've played
around with various grub-install invocations and also with setup
directly in grub-shell, but can't convince it to read the config
file on boot -- I still have to manually specify it each time.

I have grub installed in my boot partition, not in the MBR.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot the machine
2. Observe lack of menu...

Obviosuly, since the inital flaw manifested itself during the upgrade
process, I can't reproduce that.

Additional info:
Comment 1 Kristian Sørensen 2005-05-04 10:29:19 EDT
I experience exactly the same problem when upgrading from RHEL 3 to RHEL 4
Comment 2 Matthew Miller 2006-07-10 17:36:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-03 05:04:56 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.